/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.accservice.javapp.adapt;

import javax.accessibility.Accessible;

import org.eclipse.actf.accservice.adapt.AccessibilityAdaptor;
import org.eclipse.actf.accservice.core.IAccessibleElement;
import org.eclipse.actf.accservice.javapp.JavaAccessibilityService;

/**
 * adaptor implementation for converting nodes in a Swing component hierarchy to 
 * instances of <code>IAccessibleElement</code>. 
 * @author Mike Squillace
 *
 */
public class SwingAccessibilityAdaptor extends AccessibilityAdaptor
{

	/** {@inheritDoc} */
	public Object adapt (Object o, Class type) throws Exception {
		Object result = null;
		if (o != null && o instanceof Accessible
				&& IAccessibleElement.class.isAssignableFrom(type)) {
			result = createAccessibleElement(o, null, JavaAccessibilityService.JAVA_ACCSERVICE_NAME);
		}
		return result;
	}
	
	/** {@inheritDoc} */
	/*
	 public NodeSynchronizer getNodeSynchronizer ()
	 {
	 return new SwingAccessibilityNodeSynchronizer();
	 }
	 */
}
