/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.accservice.locate;

import org.apache.commons.jxpath.ri.compiler.NodeTest;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.eclipse.actf.accservice.core.IAccessibleElement;
import org.eclipse.actf.model.IModel;
import org.eclipse.actf.model.locate.BaseNodeIterator;


public class AccessibleNodeIterator extends BaseNodeIterator
{

    private IAccessibleElement accElement;
    
	public AccessibleNodeIterator(NodePointer parent, NodeTest nodeTest,
    						 boolean reverse, NodePointer startWith, IModel model) 
    {
        super(parent, nodeTest, reverse, startWith, model);
    	this.accElement = (IAccessibleElement) parent.getNode();
    }

    public NodePointer getNodePointer() {
        if (position == 0) {
            setPosition(1);
        }
        return child == null ? null : new AccessibleNodePointer((IAccessibleElement) child, parent, null);
    }

}
