/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.accservice.locate;

import java.util.Locale;

import org.apache.commons.jxpath.ri.QName;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.apache.commons.jxpath.ri.model.NodePointerFactory;
import org.eclipse.actf.accservice.core.IAccessibleElement;


public class AccessibleNodePointerFactory implements NodePointerFactory
{

	public static final int ACCNODE_POINTER_FACTORY_ORDER = 4;
	
	public NodePointer createNodePointer(QName name, Object object, Locale locale) {
		return object instanceof IAccessibleElement
			? new AccessibleNodePointer((IAccessibleElement) object, locale) : null;
	}

	public NodePointer createNodePointer(NodePointer parent, QName name, Object object) {
		return object instanceof IAccessibleElement
		? new AccessibleNodePointer((IAccessibleElement) object, parent, null) : null;
	}

	public int getOrder() {
		return ACCNODE_POINTER_FACTORY_ORDER;
	}

}
