/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.accservice.mozdom.adapt;

import org.eclipse.actf.accservice.adapt.AccessibilityAdaptor;
import org.eclipse.actf.accservice.core.IAccessibleElement;
import org.eclipse.actf.accservice.mozdom.MozillaAccessibilityService;
import org.mozilla.interfaces.nsIDOMHTMLElement;
import org.mozilla.interfaces.nsISupports;
import org.mozilla.xpcom.XPCOMException;


/**
 * adaptor implementation for converting nodes in the Mozilla DOM hierarchy to 
 * instances of <code>IAccessibleElement</code>. 
 * @author Mike Squillace
 *
 */
public class MozillaDomAccessibilityAdaptor extends AccessibilityAdaptor
{

	/** {@inheritDoc} */
	public Object adapt (Object o, Class type) throws Exception {
		Object result = null;
		try {
			o = ((nsISupports) o).queryInterface(nsIDOMHTMLElement.NS_IDOMHTMLELEMENT_IID);
		}catch (XPCOMException e) {
			o = null;
		}
		if (o != null && o instanceof nsIDOMHTMLElement
				&& IAccessibleElement.class.isAssignableFrom(type)) {
			result = createAccessibleElement(o, null, MozillaAccessibilityService.MOZILLA_ACCSERVICE_NAME);
		}
		return result;
	}
	/*
	 public NodeSynchronizer getNodeSynchronizer ()
	 {
	 return null;
	 }
	 */
}
