/*******************************************************************************
 * Copyright (c) 2004, 2008 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.actf.model.dom;

import org.eclipse.actf.core.ActfCorePlugin;
import org.eclipse.actf.core.config.IConfiguration;
import org.eclipse.actf.model.ModelPlugin;
import org.osgi.framework.BundleContext;

public class DomModelPlugin extends ModelPlugin
{
	
	// The plug-in ID

	public static final String DOM_MODEL_PLUGIN_ID = "org.eclipse.actf.model.dom";

	
	// The shared instance
	private static DomModelPlugin plugin;
	
	protected IConfiguration configuration;

	/**
	 * The constructor
	 */
	public DomModelPlugin() {
		super();
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
      
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
        super.stop(context);		
	}

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static ActfCorePlugin getDefault() {
		return plugin;
	}

	public String getPluginId() {
		return DOM_MODEL_PLUGIN_ID;
	}
	
	
}
