/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.model.javapp.locate;import java.awt.Component;
import java.util.Locale;

import org.apache.commons.jxpath.ri.compiler.NodeTest;
import org.apache.commons.jxpath.ri.model.NodeIterator;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.eclipse.actf.model.javapp.SwingGuiModel;
import org.eclipse.actf.model.locate.BaseNodePointer;


public class SwingNodePointer extends BaseNodePointer
{

	private Component component;
	
	public SwingNodePointer(Component comp, Locale locale) {
		this(comp, null, locale);
	}

	public SwingNodePointer(Component comp, NodePointer parent, Locale locale) {
		super(parent, locale, SwingGuiModel.SWING_MODEL);
		component = comp;
	}

	public Object getBaseValue() {
		return component;
	}

	public Object getImmediateNode() {
		return component;
	}

    public NodeIterator childIterator(NodeTest test, boolean reverse, NodePointer startWith)  {
            return new SwingNodeIterator(this, test, reverse, startWith, model);
        }

}
