/*******************************************************************************
 * Copyright (c) 2004, 2008 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.actf.model.mozdom;

import org.eclipse.actf.core.ActfCorePlugin;
import org.eclipse.actf.core.config.IConfiguration;
import org.eclipse.actf.model.ModelPlugin;
import org.eclipse.core.runtime.Platform;
import org.osgi.framework.Bundle;
import org.osgi.framework.BundleContext;

public class MozdomModelPlugin extends ModelPlugin
{

	
	// The plug-in ID

	public static final String MOZDOM_MODEL_PLUGIN_ID = "org.eclipse.actf.model.mozdom";

	
	// The shared instance
	private static MozdomModelPlugin plugin;
	
	protected IConfiguration configuration;

	/**
	 * The constructor
	 */
	public MozdomModelPlugin() {
		super();
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);    
		
		Bundle accBundle = Platform.getBundle("org.eclipse.actf.accservice.mozdom");
		if (accBundle != null) {			
		Class c = accBundle.loadClass("org.eclipse.actf.accservice.mozdom.adapt.MozillaDomAccessibilityAdaptor"); 
		clCache.put( accBundle.getSymbolicName(), c.getClassLoader());
		}
		
		Bundle mozBundle = Platform.getBundle("org.mozilla.xpcom");
		if (mozBundle != null) {			
		Class c = mozBundle.loadClass("org.mozilla.interfaces.nsIDOMHTMLAreaElement"); 
		clCache.put( mozBundle.getSymbolicName(), c.getClassLoader());
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
        super.stop(context);		
	}

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static ActfCorePlugin getDefault() {
		return plugin;
	}

	public String getPluginId() {
		return MOZDOM_MODEL_PLUGIN_ID;
	}
	
	
}
