/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.model.mozdom.locate;

import org.apache.commons.jxpath.ri.compiler.NodeTest;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.eclipse.actf.model.IModel;
import org.eclipse.actf.model.locate.BaseNodeIterator;
import org.mozilla.interfaces.nsIDOMNode;


public class MozillaDomNodeIterator extends BaseNodeIterator
{

	private nsIDOMNode node;
	
	public MozillaDomNodeIterator(NodePointer parent, NodeTest nodeTest,
    						 boolean reverse, NodePointer startWith, IModel model) {
        super(parent, nodeTest, reverse, startWith, model);
		node = (nsIDOMNode) parent.getNode();
    }

    public NodePointer getNodePointer() {
        if (position == 0) {
            setPosition(1);
        }
        return child == null ? null : new MozillaDomNodePointer((nsIDOMNode) child, parent, null);
    }

}
