/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.model.mozdom.locate;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.actf.model.locate.AbstractNodeLocator;
import org.eclipse.actf.model.mozdom.MozillaDomBrowserGuiModel;


/**
 * a locator for the Mozilla DOM hierarchy within a browser
 * 
 * @author Mike Squillace
 *
 */
public class MozillaDomNodeLocator extends AbstractNodeLocator
{
	
	public MozillaDomNodeLocator () {
		super("id", MozillaDomBrowserGuiModel.MOZDOM_MODEL, new MozillaDomNodePointerFactory());
		propertiesMap = initializeProperties();
	}
	private Map initializeProperties() {
		Map m = new HashMap();
		m.put(org.mozilla.interfaces.nsIDOMHTMLElement.class.getName(), "id");
		m.put(org.mozilla.interfaces.nsIDOMHTMLDocument.class.getName(), "title");
		return m;
	}
}
