/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.model.mozdom.locate;

import java.util.Locale;

import org.apache.commons.jxpath.ri.compiler.NodeTest;
import org.apache.commons.jxpath.ri.model.NodeIterator;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.eclipse.actf.model.locate.BaseNodePointer;
import org.eclipse.actf.model.mozdom.MozillaDomBrowserGuiModel;
import org.mozilla.interfaces.nsIDOMNode;


public class MozillaDomNodePointer extends BaseNodePointer
{

	private nsIDOMNode node;
	
	public MozillaDomNodePointer(nsIDOMNode node, Locale locale) {
		this(node, null, locale);
	}

	public MozillaDomNodePointer(nsIDOMNode node, NodePointer parent, Locale locale) {
		super(parent, locale, MozillaDomBrowserGuiModel.MOZDOM_MODEL);
		this.node = node;
	}

	public Object getBaseValue() {
		return node;
	}

	public Object getImmediateNode() {
		return node;
	}

    public NodeIterator childIterator(NodeTest test, boolean reverse, NodePointer startWith)  {
            return new MozillaDomNodeIterator(this, test, reverse, startWith, model);
        }

}
