/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.core;

/**
 * The wrapper class used in defining the model transition elements for 
 * an execution point target. The class consists of a <code>regular expression</code>, a
 * <code>rule base name</code> and an <code>execution point name</code>.
 *  
 * @author John Buslawski
 *
 */
public class ModelTransition
{

	String regexp = null;

	String rulebaseName = null;

	String execPointName = null;

	/**
	 * @param regexp
	 * @param rulebaseName
	 * @param execPointName
	 */
	public ModelTransition (String regexp, String rulebaseName,
									String execPointName) {
		this.regexp = regexp;
		this.rulebaseName = rulebaseName;
		this.execPointName = execPointName;
	}

	/**
	 * @return the execution point name
	 */
	public String getExecutionPointName () {
		return execPointName;
	}

	/**
	 * @param execPointName the execution point name to set
	 */
	public void setExecutionPointName (String execPointName) {
		this.execPointName = execPointName;
	}

	/**
	 * @return the regular expression
	 */
	public String getRegexp () {
		return regexp;
	}

	/**
	 * @param regexp the regular expression to set
	 */
	public void setRegexp (String regexp) {
		this.regexp = regexp;
	}

	/**
	 * @return the RuleRase name
	 */
	public String getRuleBaseName () {
		return rulebaseName;
	}

	/**
	 * @param rulebaseName the IRule Base name to set
	 */
	public void setRuleBaseName (String rulebaseName) {
		this.rulebaseName = rulebaseName;
	}
}
