/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.core;

/**
 * The wrapper class used in defining the arguments for an execution point target. The class consists
 * of a <code>type</code> and a <code>value</code>.
 *  
 * @author John Buslawski
 *
 */
public class TargetArgument
{

	protected String type;

	protected String value;

	public TargetArgument (String type, String value) {
		this.type = type;
		this.value = value;
	}

	/**
	 * @return the type
	 */
	public String getType () {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType (String type) {
		this.type = type;
	}

	/**
	 * @return the value
	 */
	public String getValue () {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue (String value) {
		this.value = value;
	}
}
