/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.events;

/**
 * listener registered to be updated on additions to validation reports. Because
 * validation reports are generated by ACTF and not modifiable by the user,
 * additions to reports are the only sorts of operations that constitute
 * modifications.
 * 
 * @author Mike Squillace
 * @see org.eclipse.actf.validation.reports.ValidationReport
 */
public interface IReportModifyListener {

	/**
	 * occurs when a validation report has been modified
	 * 
	 * @param e -
	 *            modify event
	 */
	public void reportModified(ReportModifyEvent e);
}
