/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.events;

import java.util.EventObject;

import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.actf.validation.reports.ValidationReportGroup;


public class ReportGroupModifyEvent extends EventObject {

	public static final int REPORTS_ADDED = 0;

	public static final int REPORTS_REMOVED = 1;

	public ValidationReport[] reports;

	public ValidationReportGroup source;

	public int op;

	/**
	 * create a new event object. This constructor is called when a validation
	 * report group has been modified and the
	 * <code>fireReportGroupModified</code> method is invoked. The source is
	 * the <code>ValidationReportGroup</code> object and the reports parameter
	 * are the objects that were added to or removed from the group.
	 * 
	 * @param source -
	 *            source validation reportGroup
	 * @param reports -
	 *            added or removed elements
	 * @param op -
	 *            added or removed
	 */
	public ReportGroupModifyEvent(Object source, ValidationReport[] reports,
			int op) {
		super(source);
		this.source = (ValidationReportGroup) source;
		this.reports = reports;
		this.op = op;
	}
}
