/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.events;

import java.util.EventObject;

import org.eclipse.actf.validation.reports.ReportElement;


public class ReportModifyEvent extends EventObject {

	public ReportElement[] addedElements;

	/**
	 * create a new event object. This constructor is called when a validation
	 * report has been modified and the <code>fireReportModified</code> method
	 * is invoked. The source is the <code>ValidationReport</code> object and
	 * the 'elements' parameter are the objects that were added to the report.
	 * 
	 * @param source -
	 *            source validation report
	 * @param elements -
	 *            added elements
	 */
	public ReportModifyEvent(Object source, ReportElement[] elements) {
		super(source);
		addedElements = elements;
	}
}
