/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.rulebase;

/**
 * factory for building rulebases. All clients should implement a no-args 
 * constructor for instantiation.
 * 
 * @author <a href="mailto:masquill@us.ibm.com">Mike Squillace</a> 
 *
 */
public interface IRuleBaseFactory {

	/**
	 * builds a rulebase from the information with which this factory is configured
	 *
	 * @param data data needed for rulebase creation (if any)
	 * @return newly created rulebase
	 * @throws MalformedRuleBaseException
	 */	
	public IRuleBase buildRuleBase (Object data) throws MalformedRuleBaseException;
	
}
