/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.actions;

import org.eclipse.actf.validation.ui.ValidationUiPlugin;
import org.eclipse.actf.validation.ui.dialogs.ReportManagerFilterDialog;
import org.eclipse.actf.validation.ui.views.ReportManagerView;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.swt.widgets.Shell;


public class ReportManagerFilterAction extends AbstractAction
{

	public ReportManagerFilterAction () {
		super();
	}

	public void run (IAction action) {
		if (view instanceof ReportManagerView) {
			ReportManagerView dbrv = (ReportManagerView) view;
			Shell shell = ValidationUiPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getShell();
			ReportManagerFilterDialog dialog = new ReportManagerFilterDialog(shell, dbrv);
			if (dialog.open() == IDialogConstants.OK_ID) {
				dbrv.refresh();
			}
		}
	}
}
