/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.dialogs;

import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.actf.validation.ui.views.ReportManagerView;
import org.eclipse.jface.dialogs.IMessageProvider;
import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;


public class ReportPropertiesDialog extends TitleAreaDialog
{

	ValidationReport report = null;

	ReportManagerView view = null;

	//	 controls

	Label descriptionLabel = null;

	Text descriptionText = null;

	Label timestampLabel = null;

	Text timestampText = null;

	Label sourceLabel = null;

	Text sourceText = null;

	String description = null;

	public ReportPropertiesDialog (Shell parentShell, ValidationReport report,
									ReportManagerView rv) {
		super(parentShell);
		this.report = report;
		view = rv;
		description = report.getDescription();
	}

	protected Control createContents (Composite parent) {
		Control contents = super.createContents(parent);
		setMessage(
			"View the properties of the validation report.",
			IMessageProvider.INFORMATION);
		setTitle("Report Properties");
		return contents;
	}

	protected Control createDialogArea (Composite parent) {
		Composite area = (Composite) super.createDialogArea(parent);
		Composite controls = new Composite(area, SWT.NONE);
		GridData gd = new GridData(GridData.FILL_BOTH);
		controls.setLayoutData(gd);
		GridLayout layout = new GridLayout(2, false);
		controls.setLayout(layout);
						
		// source
		sourceLabel = new Label(controls, SWT.LEFT);
		sourceLabel.setText("On resource:");
		sourceText = new Text(controls, SWT.READ_ONLY);
		sourceText.setText(report.getSource());
		
		//timestamp
		timestampLabel = new Label(controls, SWT.LEFT);
		timestampLabel.setText("Creation time:");
		timestampText = new Text(controls, SWT.READ_ONLY);
		timestampText.setText(report.getTimestamp().toString());
		
		//description 
		descriptionLabel = new Label(controls, SWT.LEFT);
		descriptionLabel.setText("Description:");
		descriptionText = new Text(controls, SWT.READ_ONLY);
		descriptionText.setText(description);
		
		
		return area;
	}

	
}
