/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.filters;

import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;


public class ReportPersistenceFilter extends ViewerFilter
{

	/*
	 * Filters out ValidationReports based on their persistence property
	 * If the report is persistent (stored in the DB) then return false
	 * so the report will not be displayed. 
	 * 
	 * @see org.eclipse.jface.viewers.ViewerFilter#select(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)
	 */
	public boolean select (Viewer viewer, Object parentElement, Object element) {
		boolean result = false;
		if (element instanceof ValidationReport) {
			ValidationReport report = (ValidationReport) element;
			result = report.isPersistent();
			//TODO move function to reports feature
			/*if (report.getProperty(ReportServices.REPORT_PERSISTENT_KEY).equalsIgnoreCase(
				"true")) {
				result = false;
			}else {
				result = true;
			}*/
		}
		return result;
	}
}
