/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.providers;

import org.eclipse.actf.validation.events.IReportModifyListener;
import org.eclipse.actf.validation.events.ReportModifyEvent;
import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.actf.validation.reports.ValidationReportRecord;
import org.eclipse.jface.viewers.ArrayContentProvider;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.jface.viewers.Viewer;


public class MessageTableContentProvider extends ArrayContentProvider
	implements IReportModifyListener
{

	private TableViewer viewer;

	public Object[] getElements (Object element) {
		return element instanceof ValidationReport ? ((ValidationReport) element).getRecords()
				: super.getElements(element);
	}

	public void inputChanged (Viewer viewer, Object oldInput, Object newInput) {
		this.viewer = (TableViewer) viewer;
		if (oldInput != null) {
			((ValidationReport) oldInput).removeReportModifyListener(this);
		}
		if (newInput != null) {
			((ValidationReport) newInput).addReportModifyListener(this);
		}
	}

	public void reportModified (ReportModifyEvent e) {
		if (e.addedElements instanceof ValidationReportRecord[]) {
			viewer.add(e.addedElements);
		}
	}
}
