/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html

* Contributors: 
* IBM Corporation - initial API and implementation
*******************************************************************************/
package org.eclipse.actf.validation.ui.views;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.forms.IDetailsPage;
import org.eclipse.ui.forms.IFormPart;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.widgets.FormToolkit;

public abstract class AbstractDetailsPage implements IDetailsPage {

	protected IManagedForm mform;
	protected FormToolkit toolkit;

	public void createContents(Composite parent) {
		// TODO Auto-generated method stub

	}

	public void commit(boolean onSave) {
		// TODO Auto-generated method stub

	}

	public void dispose() {
		toolkit.dispose();

	}

	public void initialize(IManagedForm form) {
		this.mform = form;

	}

	public boolean isDirty() {
		// TODO Auto-generated method stub
		return false;
	}

	public boolean isStale() {
		// TODO Auto-generated method stub
		return false;
	}

	/*public void refresh() {
		// TODO Auto-generated method stub
	}
*/
	

	public void setFocus() {
		// TODO Auto-generated method stub

	}

	public boolean setFormInput(Object input) {
		// TODO Auto-generated method stub
		return false;
	}

	public void selectionChanged(IFormPart part, ISelection selection) {
		// TODO Auto-generated method stub

	}

	protected Label createLabel(Composite comp, String labelValue) {
		Label label = toolkit.createLabel(comp, labelValue, SWT.NONE);
		return label;
	}

	protected Text createLabelText(Composite comp, String labelValue, String textValue) {
		createLabel(comp, labelValue);
		Text text = toolkit.createText(comp, textValue, SWT.BORDER);
		if (textValue == null)
			text.setText("");
	
		GridData data = new GridData();
		data.horizontalAlignment = GridData.FILL;
		text.setLayoutData(data);
	
		return text;
	}

	protected Combo createComboBox(Composite comp, String labelValue, String[] items,
			int selection) {
				createLabel(comp, labelValue);
				Combo combo = new Combo(comp, SWT.DROP_DOWN);
				toolkit.adapt(combo, true, true);
				combo.setItems(items);
				combo.select(selection);
			
				GridData data = new GridData();
				data.horizontalAlignment = GridData.FILL;
				combo.setLayoutData(data);
				return combo;
			}

	protected Composite createButtonComposite(Composite parent, int numCols) {
		Composite comp = toolkit.createComposite(parent, SWT.NONE);
		GridLayout gridLayout = new GridLayout(numCols, false);
		gridLayout.makeColumnsEqualWidth = true;
		GridData data = new GridData(GridData.HORIZONTAL_ALIGN_CENTER);
		data.horizontalSpan = 2;
		comp.setLayout(gridLayout);
		comp.setLayoutData(data);
		return comp;
	}

	protected Button createButton(Composite comp, int style, String buttonLabel,
			boolean isChecked) {
				GridData buttonData = new GridData(GridData.FILL_BOTH);
				Button button = toolkit.createButton(comp, buttonLabel, SWT.CHECK);
				button.setSelection(isChecked);
				button.setLayoutData(buttonData);
				return button;
			}

}
