/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html

* Contributors: 
* IBM Corporation - Initial API
*******************************************************************************/
package org.eclipse.actf.validation.ui.views;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.ManagedForm;
import org.eclipse.ui.forms.widgets.FormToolkit;
import org.eclipse.ui.forms.widgets.ScrolledForm;

public class RulebaseView extends AbstractViewPart
		{
	
	private RulesMasterDetailBlock mdBlock;
	private FormToolkit toolkit;
	private ScrolledForm form;
	private ManagedForm mForm;

	public RulebaseView() {
		super();
	}


	public void createPartControl (Composite parent) {
		toolkit = new FormToolkit(parent.getDisplay());
		form = toolkit.createScrolledForm(parent);
		form.setText("Rule Bases");
		mForm = new ManagedForm(toolkit, form);
		mdBlock = new RulesMasterDetailBlock(this);
		mdBlock.createContent(mForm);
	}


	@Override
	public void dispose() {
		toolkit.dispose();
		super.dispose();
	}


	@Override
	protected String getMessageTitle() {
	return "Rulebase Viewer";
	}


	@Override
	public void setFocus() {
		RulesMasterDetailBlock.getCheckBoxTreeViewer().getTree().setFocus();	
	}
	
}
