/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.validation.valdoc.rulebase;

/**
 * represents a &lt;raven:alias&gt; element in a document. The 'name' attribute is the token that is used 
 * throughout the document to stand for the value of the 'value' attribute.
 * 
 * @author <a href="mailto:masquill@us.ibm.com">Mike Squillace</a>
 *
 */
public class AliasElement extends BaseElement
{
	private String value;
	
	public AliasElement (String name, String text, String value) {
		super(name, text);
		this.value = value;
	}
	
	public String getValue () {
		return value;
	}

}
