/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.valdoc.rulebase;

/**
 * represents a &lt;raven:script&gt; element in a document.A script element can contain either text content (which is 
 * the script code itself) or an 'src' attribute pointing to another script file. 
 * 
 * @author <a href="mailto:masquill@us.ibm.com">Mike Squillace</a>
 *
 */
public class ScriptElement extends BaseElement
{
	private String srcFile;
	private String imports;

	public ScriptElement(String name, String text,
						 String srcFile, String imports) {
		super(name, text);
		this.srcFile = srcFile;
		this.imports = imports;
	}
	
	public String getSourceFile () {
		return srcFile;
	}

	public String getImports () {
		return imports;
	}

}
