/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.valdoc.rulebase;

import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;
import java.util.Set;

import org.eclipse.actf.validation.rulebase.IDocumentRuleBaseMetadata;


public class ValidationDocumentRuleBaseMetadata implements IDocumentRuleBaseMetadata
{

	private HashMap metadataMap = new HashMap();

	/**
	 * 
	 */
	public ValidationDocumentRuleBaseMetadata() {
		// TODO Auto-generated constructor stub
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.actf.validation.rules.DocumentRuleBaseMetadata#getAliases()
	 */
	public Properties getAliases() {
		return (Properties) metadataMap.get(IDocumentRuleBaseMetadata.ALIASES);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.actf.validation.rules.DocumentRuleBaseMetadata#getDocumentLocation()
	 */
	public URL getDocumentLocation() {
		// TODO Auto-generated method stub
		return null;
	}

	public ScriptElement[] getScripts() {
		return (ScriptElement[]) metadataMap.get(IDocumentRuleBaseMetadata.SCRIPTS);
	}

	public void setAliases(Properties aliases) {
		if (aliases != null) {
			metadataMap.put(IDocumentRuleBaseMetadata.ALIASES, aliases);
		}
	}

	public void setDocumentLocation(URL location) {
	}

	public void setScripts(ScriptElement[] scripts) {
		if (scripts != null) {
			metadataMap.put(IDocumentRuleBaseMetadata.SCRIPTS, scripts);
		}
	}

	public void clear() {
		metadataMap.clear();
	}

	public Object getAttribute(String name) {
		return name != null ? metadataMap.get(name) : null;
	}

	public String[] getAttributeNames() {
		Set keys = metadataMap.keySet();
		return (String[]) keys.toArray(new String[keys.size()]);
	}

	public Map getAttributes() {
		return metadataMap;
	}

	public void setAttribute(String name, Object value) {
		if (name != null) {
			metadataMap.put(name, value);
		}
	}

	public void setAttributes(Map attributes) {
		if (attributes != null) {
			metadataMap.putAll(attributes);
		}
	}

	public int size() {
		return metadataMap.size();
	}

	public String getAliasValue(String aliasName) {
		String resolvedName = null;
		if (aliasName != null) {
			if (resolvedName == null) {
				resolvedName = getAliases().getProperty(aliasName, aliasName);
			}
		}
		return resolvedName;
	}

}
